%global pypi_name python-xmp-toolkit
%global srcname xmp-toolkit

Name:           python-%{srcname}
Version:        2.0.2
Release:    1%{?dist}
Summary:        Python XMP Toolkit for working with metadata

License:        BSD-3-Clause
URL:            https://github.com/python-xmp-toolkit/python-xmp-toolkit
Source0:        https://github.com/python-xmp-toolkit/python-xmp-toolkit/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
Source1:        https://github.com/python-xmp-toolkit/python-xmp-toolkit/raw/e0f42af4a731ac1eea2977895f2c8dd0264304c3/test/samples/BlueSquare.gif
Patch0:          https://github.com/python-xmp-toolkit/python-xmp-toolkit/commit/0cbdae107d9b8e825511c6a6833d47923208ed7d.patch

BuildArch:      noarch

ExcludeArch: %{ix86}

BuildRequires:  exempi
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)

%description
Python XMP Toolkit Python XMP Toolkit is a library for working with XMP
metadata, as well as reading/writing XMP metadata stored in many different file
formats.

%package -n     python3-%{srcname}
Summary:        %{summary}

Requires:       exempi

%description -n python3-%{srcname}
Python XMP Toolkit Python XMP Toolkit is a library for working with XMP
metadata, as well as reading/writing XMP metadata stored in many different file
formats.


%package -n python-%{srcname}-doc
Summary:        python-xmp-toolkit documentation

%description -n python-%{srcname}-doc
Documentation for python-xmp-toolkit


%prep
%autosetup -n %{pypi_name}-%{version} -p1
cp %SOURCE1 test/samples/

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

PYTHONPATH="$PWD/build/lib" sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo}


%install
%pyproject_install
%pyproject_save_files libxmp


%check
%{python3} setup.py test


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst

%files -n python-%{srcname}-doc
%doc html
%license LICENSE


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
